Page MenuHomePhabricator

avro-php tests fail under PHP 7
Closed, ResolvedPublic

Description

(I can't find a tag for avro-php)

06:03:18 There were 6 errors:
06:03:18 
06:03:18 1) DataFileTest::test_write_read_nothing_round_trip
06:03:18 Only variables should be passed by reference
06:03:18 
06:03:18 /src/test/DataFileTest.php:85
06:03:18 
06:03:18 2) DataFileTest::test_write_read_null_round_trip
06:03:18 Only variables should be passed by reference
06:03:18 
06:03:18 /src/test/DataFileTest.php:100
06:03:18 
06:03:18 3) DataFileTest::test_write_read_string_round_trip
06:03:18 Only variables should be passed by reference
06:03:18 
06:03:18 /src/test/DataFileTest.php:115
06:03:18 
06:03:18 4) DataFileTest::test_write_read_round_trip
06:03:18 Only variables should be passed by reference
06:03:18 
06:03:18 /src/test/DataFileTest.php:133
06:03:18 
06:03:18 5) DataFileTest::test_write_read_true_round_trip
06:03:18 Only variables should be passed by reference
06:03:18 
06:03:18 /src/test/DataFileTest.php:149
06:03:18 
06:03:18 6) DataFileTest::test_write_read_false_round_trip
06:03:18 Only variables should be passed by reference
06:03:18 
06:03:18 /src/test/DataFileTest.php:164
06:03:18 
06:03:18 --
06:03:18 
06:03:18 There was 1 failure:
06:03:18 
06:03:18 1) SchemaTest::test_json_decode
06:03:18 True
06:03:18 Failed asserting that true matches expected null.
06:03:18 
06:03:18 /src/test/SchemaTest.php:442

These tests pass under HHVM and PHP 5.5.

Event Timeline

Legoktm created this task.Oct 3 2017, 6:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2017, 6:08 AM
Legoktm moved this task from Unsorted to PHP 7 on the [DO NOT USE] NewPHP board.
debt triaged this task as Low priority.Oct 17 2017, 5:43 PM
debt added a project: Discovery.
debt moved this task from Up Next to This Quarter on the Discovery-Search board.

Looks like we need to replace:

$read_data = array_shift($dr->data());

with

$read_data = $dr->data()[0];

etc.

Legoktm raised the priority of this task from Low to High.Feb 25 2018, 1:32 AM

I'm raising the priority on this to high because this is the only library failing on PHP 7.

Tagging people who recently committed to it.

Change 422360 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[avro-php@master] Fix PHP 7 compatibility

https://gerrit.wikimedia.org/r/422360

Change 422360 merged by jenkins-bot:
[avro-php@master] Fix PHP 7 compatibility

https://gerrit.wikimedia.org/r/422360

For this to be Resolved we need to make a release and pull it into MW.

Change 422643 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] Bump avro to 1.8

https://gerrit.wikimedia.org/r/422643

Change 422934 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/vendor@master] Bump avro to 1.8

https://gerrit.wikimedia.org/r/422934

Change 422934 merged by jenkins-bot:
[mediawiki/vendor@master] Bump avro to 1.8

https://gerrit.wikimedia.org/r/422934

Change 422643 merged by jenkins-bot:
[mediawiki/core@master] Bump avro to 1.8

https://gerrit.wikimedia.org/r/422643

Jdforrester-WMF closed this task as Resolved.Mar 29 2018, 7:37 PM
Jdforrester-WMF assigned this task to MaxSem.